# NAME

shchemes - Automatically theming your apps with the power of the shell.

# SYNOPSIS

```
shchemes METHOD [OPTIONS]
```

# DESCRIPTION

## SCHEME {#SCHEME}
SCHEME is an environment variable that determines the default color
scheme to operate on.

Schemes are in a format of \<scheme format\>:\<scheme name\>.

If no format is provided, base16 is assumed.

## Examples
```
SCHEME="base16:heetch"

SCHEME="base24:monokai"
```

See also: [`--scheme`](#scheme)

## OPTIONS

## `--scheme` {#scheme}
Sets the color scheme to operate on, regardless of the value of SCHEME.

## Example
```
shchemes create_theme kitty --scheme=base16:blueforest
```

See also: [SCHEME]{#scheme}

## `--format` {#format}
Sets the color scheme format of the output file. This defaults to the
same format as your color scheme.

## Example
```
shchemes create_theme alacritty --format=base24
```

## METHODS

## create_theme

Apply the color scheme to the template for a given app
```
shchemes create_theme TARGET
```

See also: [`--format`](#format)

## inject

In the given file, looks for a comment that indicates a Shchemes injection block, runs its command in a shell with Shchemes sourced, and pipes the stdout into the content of the injection block.
```
shchemes inject PATH
```

## install_tinted_scheme
Installs a color scheme from the [tinted-theming/schemes](https://github.com/tinted-theming/schemes).

You can find a gallery of the base16 themes here:
[https://tinted-theming.github.io/base16-gallery/](https://tinted-theming.github.io/base16-gallery/)
```
shchemes install_tinted_scheme
```

See also: [`SCHEME`](#SCHEME) [`--scheme`](#scheme)

# AUTHOR

Shchemes is written by Dakedres
